> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get load balancer metrics

> Get load balancer metrics, including cpu, memory and network



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml post /cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id}/metrics
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id}/metrics:
    post:
      tags:
        - Load Balancers
      summary: Get load balancer metrics
      description: Get load balancer metrics, including cpu, memory and network
      operationId: LoadbalancerMetricsHandler.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: path
          name: load_balancer_id
          required: true
          description: Load-Balancer ID
          schema:
            description: Load-Balancer ID
            example: ac307687-31a4-4a11-a949-6bea1b2878f5
            examples:
              - ac307687-31a4-4a11-a949-6bea1b2878f5
            format: uuid4
            title: Load Balancer Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LoadbalancerMetricsRequestSerializer'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoadbalancerMetricsCollectionSerializer'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from gcore import Gcore


            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )

            load_balancer_metrics_list =
            client.cloud.load_balancers.metrics.list(
                load_balancer_id="ac307687-31a4-4a11-a949-6bea1b2878f5",
                project_id=1,
                region_id=7,
                time_interval=6,
                time_unit="hour",
            )

            print(load_balancer_metrics_list.count)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tloadBalancerMetricsList, err := client.Cloud.LoadBalancers.Metrics.List(\n\t\tcontext.TODO(),\n\t\t\"ac307687-31a4-4a11-a949-6bea1b2878f5\",\n\t\tcloud.LoadBalancerMetricListParams{\n\t\t\tProjectID:    gcore.Int(1),\n\t\t\tRegionID:     gcore.Int(7),\n\t\t\tTimeInterval: 6,\n\t\t\tTimeUnit:     cloud.InstanceMetricsTimeUnitHour,\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", loadBalancerMetricsList.Count)\n}\n"
components:
  schemas:
    LoadbalancerMetricsRequestSerializer:
      properties:
        time_interval:
          description: Time interval
          example: 6
          examples:
            - 6
          title: Time Interval
          type: integer
        time_unit:
          $ref: '#/components/schemas/InstanceMetricsTimeUnitEnum'
          description: Time interval unit
          examples:
            - hour
      required:
        - time_interval
        - time_unit
      title: LoadbalancerMetricsRequestSerializer
      type: object
    LoadbalancerMetricsCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/LoadbalancerMetricsSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: LoadbalancerMetricsCollectionSerializer
      type: object
    InstanceMetricsTimeUnitEnum:
      enum:
        - day
        - hour
      title: InstanceMetricsTimeUnitEnum
      type: string
    LoadbalancerMetricsSerializer:
      properties:
        cpu_util:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: CPU utilization, % (max 100% for multi-core)
          examples:
            - 8
          title: Cpu Util
        memory_util:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: RAM utilization, %
          examples:
            - 33.28411162695459
          title: Memory Util
        network_Bps_egress:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: Network out, bytes per second
          examples:
            - 102
          title: Network Bps Egress
        network_Bps_ingress:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: Network in, bytes per second
          examples:
            - 102
          title: Network Bps Ingress
        network_pps_egress:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: Network out, packets per second
          examples:
            - 0.7
          title: Network Pps Egress
        network_pps_ingress:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: Network in, packets per second
          examples:
            - 0.7
          title: Network Pps Ingress
        time:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Timestamp
          examples:
            - '2020-07-07T12:57:00Z'
          title: Time
      title: LoadbalancerMetricsSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````